| Home | Libraries | People | FAQ | More

## Struct template inplace_t

boost::mpi::inplace_t — Wrapper type to explicitly indicate that a input data can be overriden with an output value.

## Synopsis

    // In header: <boost/mpi/inplace.hpp>

    template<typename T>
    struct inplace_t {
      // construct/copy/destruct
      inplace_t(T &);

      // public data members
      T & buffer;
    };

## Description

### `inplace_t` public construct/copy/destruct

1.     inplace_t(T & inout);